NullReplyListener (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.lib
Class NullReplyListener

    java.lang.Object
      |
      +--org.beepcore.beep.lib.NullReplyListener

All Implemented Interfaces:
  ReplyListener

public class NullReplyListener
extends java.lang.Object
implements ReplyListener

This class acts as a sink for all replies to the `sendMSG()`. The reply is received by `NullReplyListener`, freed from the channel's receive buffers and discarded.

Method Summary
`static NullReplyListener` | `getListener()`
`void` | `receiveANS(Message message)` Called when the underlying BEEP framework receives a reply of type ANS.
`void` | `receiveERR(Message message)` Called when the underlying BEEP framework receives a reply of type ERR.
`void` | `receiveNUL(Message message)` Called when the underlying BEEP framework receives a reply of type NUL.
`void` | `receiveRPY(Message message)` Called when the underlying BEEP framework receives a reply of type RPY.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getListener

    public static NullReplyListener getListener()

### receiveRPY

    public void receiveRPY(Message message)

  Description copied from interface: `ReplyListener`
  Called when the underlying BEEP framework receives a reply of type RPY.

  Specified by:
    `receiveRPY` in interface `ReplyListener`
  Parameters:
    `message` - BEEP message
  See Also:
    `Message`

### receiveERR

    public void receiveERR(Message message)

  Description copied from interface: `ReplyListener`
  Called when the underlying BEEP framework receives a reply of type ERR.

  Specified by:
    `receiveERR` in interface `ReplyListener`
  Parameters:
    `message` - BEEP message
  See Also:
    `Message`

### receiveANS

    public void receiveANS(Message message)

  Description copied from interface: `ReplyListener`
  Called when the underlying BEEP framework receives a reply of type ANS.

  Specified by:
    `receiveANS` in interface `ReplyListener`
  Parameters:
    `message` - BEEP message
  See Also:
    `Message`

### receiveNUL

    public void receiveNUL(Message message)

  Description copied from interface: `ReplyListener`
  Called when the underlying BEEP framework receives a reply of type NUL.

  Specified by:
    `receiveNUL` in interface `ReplyListener`
  Parameters:
    `message` - BEEP message
  See Also:
    `Message`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.